For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet open orders
        • POSTCreate order
        • DELCancel all open orders
        • GETGet orders
        • POSTCreate batch of orders
        • DELCancel batch of orders by order IDs
        • GETGet order by client id
        • DELCancel open order by client order id
        • GETGet order
        • PUTModify order
        • DELCancel order
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceOrders

Cancel order

DELETE
https://api.testnet.paradex.trade/v1/orders/:order_id
DELETE
/v1/orders/:order_id
$curl -X DELETE https://api.testnet.paradex.trade/v1/orders/{order_id} \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'

Queues a cancellation for a specific order identified by its order ID (assigned by Paradex).

Returns a 204 No Content status code with no response body which means the order has been queued for cancellation.

Confirmation of cancellation will be sent via websocket or can be retried from GET /orders/:id endpoint.

Orders that are already in a CLOSED state cannot be canceled.

Was this page helpful?
Previous

Get Referral QR Code

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

order_idstringRequired
Order Id

Errors

400
Bad Request Error